using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Windows.Forms;

namespace InstallUpdate
{
	public class Form1 : Form
	{
		private IContainer components = null;

		private Button btc_install;

		private Button btc_browse;

		private TextBox tb_info;

		private Label label1;

		public Form1()
		{
			this.InitializeComponent();
		}

		private void btc_browse_Click(object sender, EventArgs e)
		{
			OpenFileDialog openFileDialog = new OpenFileDialog();
			openFileDialog.set_Title("Browse");
			openFileDialog.set_InitialDirectory("%USERPROFILE%\\Desktop");
			openFileDialog.set_Filter("File (*.cab)|*cab|File (*.msu)|*msu");
			if (openFileDialog.ShowDialog() == 1)
			{
				this.tb_info.set_Text(openFileDialog.get_FileName());
			}
		}

		private void btc_install_Click(object sender, EventArgs e)
		{
			if (this.tb_info.get_Text() != string.Empty)
			{
				string str = "";
				string str1 = "";
				str = "DISM.exe";
				str1 = string.Concat("/Online /Add-Package /PackagePath:\"", this.tb_info.get_Text(), "\" /logpath:dism-logs.log /loglevel:1");
				try
				{
					Process.Start(str, str1);
				}
				catch (Exception exception)
				{
					MessageBox.Show(string.Concat("Problem when opening the file: '", str, "'!"), "Error", 0, 16);
				}
			}
			else
			{
				MessageBox.Show("Please, select the file!", "Error", 0, 48);
			}
		}

		protected override void Dispose(bool disposing)
		{
			if ((!disposing ? false : (object)this.components != (object)null))
			{
				this.components.Dispose();
			}
			base.Dispose(disposing);
		}

		private void InitializeComponent()
		{
			this.btc_install = new Button();
			this.btc_browse = new Button();
			this.tb_info = new TextBox();
			this.label1 = new Label();
			base.SuspendLayout();
			this.btc_install.set_Location(new Point(81, 104));
			this.btc_install.set_Name("btc_install");
			this.btc_install.set_Size(new Size(110, 23));
			this.btc_install.set_TabIndex(0);
			this.btc_install.set_Text("Install");
			this.btc_install.set_UseVisualStyleBackColor(true);
			this.btc_install.add_Click(new EventHandler(this, Form1.btc_install_Click));
			this.btc_browse.set_Location(new Point(197, 56));
			this.btc_browse.set_Name("btc_browse");
			this.btc_browse.set_Size(new Size(61, 20));
			this.btc_browse.set_TabIndex(0);
			this.btc_browse.set_Text("Browse...");
			this.btc_browse.set_UseVisualStyleBackColor(true);
			this.btc_browse.add_Click(new EventHandler(this, Form1.btc_browse_Click));
			this.tb_info.set_Location(new Point(12, 56));
			this.tb_info.set_Name("tb_info");
			this.tb_info.set_Size(new Size(179, 20));
			this.tb_info.set_TabIndex(2);
			this.tb_info.add_TextChanged(new EventHandler(this, Form1.tb_info_TextChanged));
			this.label1.set_AutoSize(true);
			this.label1.set_Font(new Font("Microsoft Sans Serif", 9.75f, 3, 3, 204));
			this.label1.set_ForeColor(SystemColors.get_HotTrack());
			this.label1.set_Location(new Point(12, 20));
			this.label1.set_Name("label1");
			this.label1.set_Size(new Size(203, 16));
			this.label1.set_TabIndex(3);
			this.label1.set_Text("Installer update for Windows");
			base.set_AutoScaleDimensions(new SizeF(6f, 13f));
			base.set_AutoScaleMode(1);
			base.set_ClientSize(new Size(270, 138));
			base.get_Controls().Add(this.label1);
			base.get_Controls().Add(this.tb_info);
			base.get_Controls().Add(this.btc_browse);
			base.get_Controls().Add(this.btc_install);
			base.set_FormBorderStyle(5);
			base.set_Name("Form1");
			this.set_Text("Install update GUI (v.1.0.0) by adguard");
			base.ResumeLayout(false);
			base.PerformLayout();
		}

		private void tb_info_TextChanged(object sender, EventArgs e)
		{
			if (!string.IsNullOrWhiteSpace(this.tb_info.get_Text()))
			{
				this.btc_install.set_Enabled(true);
			}
			else
			{
				this.btc_install.set_Enabled(false);
			}
		}
	}
}
